package com.crm.ucard.dao.repository;

import com.crm.rely.backend.core.pojo.table.CustomKycApproveTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CustomKycApproveRepository extends BaseRepository<CustomKycApproveTable> {

    CustomKycApproveTable findByBankIdAndStatus(Long bankId, Integer status);

    CustomKycApproveTable findByCustomIdAndStatus(Long customId, Integer status);

    CustomKycApproveTable findFirstByCustomIdAndStatus(Long customId, Integer status);

    List<CustomKycApproveTable> findByCIdAndStatusOrderByAddTimeDesc(Long cId, Integer status);
}
